Page 1 of 1

v2.0.3 create_plugin.py looking for config.glade?

Posted: Wed Oct 09, 2019 8:52 pm
by Tod
Hi Deluged people.

I've used create_plugin.py as suggested in the wiki.

Is the generated plugin supposed to work out of the box?

It has the below code which tries to load config.glade - but this file does not exist (only config.ui).

Code: Select all

class Gtk3UI(Gtk3PluginBase):
    def enable(self):
        self.builder = Gtk.Builder()
        self.builder.add_from_file(get_resource('config.glade'))


I thought Glade was v1.3 legacy stuff anyway?

Any suggestions to get it working?

Re: v2.0.3 create_plugin.py looking for config.glade?

Posted: Thu Oct 10, 2019 5:03 pm
by bro
I thought Glade was v1.3 legacy stuff anyway?

It is, so it's problably just a mistake not replacing 'config.glade' in the script.

Have you tried replacing 'config.glade' with 'config.ui'?